# Get a list of trades. `GET` `https://api.unusualwhales.com/api/crypto/trades` Return a list of trades for a token pair. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `next_token` | string | No | | | `token` | string | No | | | `from` | CryptoDateTime | No | RFC 3339 datetime. | | `to` | CryptoDateTime | No | RFC 3339 datetime. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `data` | array[Crypto API Transaction] | | | `next_token` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/crypto/trades" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/crypto/trades", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "block_number": 91232828, "block_time": "2024-01-05T00:30:00Z", "from_amount": "94321.00", "from_price": "94321.00", "from_token": "So11111111111111111111111111111111111111112" } ], "next_token": "QEREAFDFEEE=" } ```